<html lang="ES">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    {% if not user.is_authenticated %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
    {% block autenticacion-permiso %}
    {% endblock %}
    <title>Gestor de proyectos</title>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.2/jspdf.min.js"></script>


    {# Cargamos la librería #}
    {% load bootstrap4 %}

    {# CSS Bootstrap #}
    {% bootstrap_css %}

    {# Archivos #}
    {% load static %} <!-- STATIC_URL -->

    <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #e3f2fd;">
            <a class="navbar-brand" href="#">Gestor de proyectos</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText"
                    aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarText">
                <ul class="navbar-nav mr-auto">
                    {% block nav-inicio %}
                        <li class="nav-item">
                            <a class="nav-link" href="/">Inicio </a>
                        </li>
                    {% endblock %}
                    {% block nav-proyecto %}
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto </a>
                        </li>
                    {% endblock %}
                    {% if perms.auth.change_permission %}
                        {% block nav-permisos %}
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'oauth_app:index' %}">Permisos</a>
                            </li>
                        {% endblock %}
                    {% endif %}

                    <li class="nav-item">
                        <a class="nav-link" href="/logout">Salir </a>
                    </li>

                </ul>
            </div>
        </nav>

    </header>

</head>

<body role="main" class="progress-bar-striped bg-secondary ">
<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
    <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
        <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
    </symbol>
    <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
        <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
    </symbol>
    <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
        <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
    </symbol>
</svg>
{% block content %}{% endblock %}

{# JS y jQuery Bootstrap #}
{% bootstrap_javascript jquery='full' %}

</body>

</html>

<style>
    th {
        cursor: pointer;
    }

    th, td {
        text-align: left;
        padding: 16px;
    }

    .headerSortDown:after,
    .headerSortUp:after {
        content: ' ';
        position: relative;
        left: 10px;
        border: 7px solid transparent;
    }

    .headerSortDown:after {
        top: 10px;
        border-top-color: silver;
    }

    .headerSortUp:after {
        bottom: 15px;
        border-bottom-color: silver;
    }

    .headerSortDown,
    .headerSortUp {
        padding-left: 20px;
    }

</style>

<script>
    function buscarTabla(buscadorNombre, tablaNombre) {
        var input, filter, table, tr, td, i, txtValue;
        input = document.getElementById(buscadorNombre);
        filter = input.value.toUpperCase();
        table = document.getElementById(tablaNombre);
        tr = table.getElementsByTagName("tr");
        for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td")[0];
            if (td) {
                txtValue = td.textContent || td.innerText;
                console.log(txtValue);
                if (txtValue.toUpperCase().indexOf(filter) > -1) {
                    tr[i].style.display = "";
                } else {
                    tr[i].style.display = "none";
                }
            }
        }
    }

    function sortTable(n, id, tipodato) {
        var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
        table = document.getElementById(id);
        switching = true;
        //Set the sorting direction to ascending:
        dir = "asc";
        /*Make a loop that will continue until
        no switching has been done:*/
        while (switching) {
            //start by saying: no switching is done:
            switching = false;
            rows = table.rows;
            /*Loop through all table rows (except the
            first, which contains table headers):*/
            for (i = 1; i < (rows.length - 1); i++) {
                //start by saying there should be no switching:
                shouldSwitch = false;
                /*Get the two elements you want to compare,
                one from current row and one from the next:*/
                x = rows[i].getElementsByTagName("TD")[n];
                y = rows[i + 1].getElementsByTagName("TD")[n];
                /*check if the two rows should switch place,
                based on the direction, asc or desc:*/
                if (dir == "asc") {
                    if (tipodato === "String") {
                        if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {
                            //if so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    } else if (tipodato === "Numero") {
                        if (parseInt(x.innerHTML, 10) > parseInt(y.innerHTML, 10)) {
                            //if so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    }
                } else if (dir == "desc") {
                    if (tipodato === "String") {
                        if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
                            //if so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    } else if (tipodato === "Numero") {
                        if (parseInt(x.innerHTML, 10) < parseInt(y.innerHTML, 10)) {
                            //if so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    }
                }
            }
            if (shouldSwitch) {
                /*If a switch has been marked, make the switch
                and mark that a switch has been done:*/
                rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
                switching = true;
                //Each time a switch is done, increase this count by 1:
                switchcount++;
            } else {
                /*If no switching has been done AND the direction is "asc",
                set the direction to "desc" and run the while loop again.*/
                if (switchcount == 0 && dir == "asc") {
                    dir = "desc";
                    switching = true;
                }
            }
        }
        len = table.rows[0].cells.length;
        for (let i = 0; i < len; i++) {
            table.rows[0].getElementsByTagName("TH")[i].classList.remove('headerSortUp');
            table.rows[0].getElementsByTagName("TH")[i].classList.remove('headerSortDown');
        }
        if (dir === "desc") {
            table.rows[0].getElementsByTagName("TH")[n].classList.add('headerSortDown');
        } else {
            table.rows[0].getElementsByTagName("TH")[n].classList.add('headerSortUp');
        }
    }

</script>